Name:           polybar 
Version:        3.4.2
Release:        1%{?dist}
Summary:        A fast and easy-to-use tool for creating status bars. 

License:        MIT
URL:            https://github.com/jaagr/polybar 
Source0:        https://github.com/jaagr/polybar/archive/%{name}-%{version}.tar.gz

BuildRequires:  gcc, gcc-c++
BuildRequires:  python
BuildRequires:  python3-sphinx
BuildRequires:  cmake
BuildRequires:  git
BuildRequires:  i3-gaps
BuildRequires:  cairo-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libcurl-devel
BuildRequires:  libmpdclient-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xcb-util-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-renderutil-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xcb-proto
BuildRequires:  jsoncpp-devel
BuildRequires:  pulseaudio-libs-devel

Requires:       i3-gaps
Requires:       alsa-lib 
Requires:       libxcb 
Requires:       cairo 
Requires:       libcurl 
Requires:       libmpdclient 
Requires:       libxcb >= 1.12
Requires:       xcb-util-renderutil
Requires:       pulseaudio-libs
Requires:       xcb-util-image
Requires:       xcb-util-wm

Conflicts:      otherproviders(polybar)

%description
Polybar aims to help users build beautiful and highly customizable status bars for their desktop environment, without the need of having a black belt in shell scripting.

%prep
%autosetup

%build
%cmake .
%make_build


%install
%make_install

%check
ctest -V %{?_smp_mflags}

%files
/usr/bin/polybar
/usr/bin/polybar-msg
/usr/share/bash-completion/completions
/usr/share/zsh/site-functions/_polybar
/usr/share/zsh/site-functions/_polybar_msg
%config(noreplace) /usr/share/doc/polybar/config
%doc  /usr/share/man/man1/polybar.1*
%doc  /usr/share/doc/polybar/*
%doc  /usr/share/doc/polybar/.*


%changelog
* Mon Apr  06 2020 Pierguido Lambri <plambri@redhat.com>
- Updated build (3.4.2)

* Wed Oct  30 2019 Pierguido Lambri <plambri@redhat.com>
- Updated build (3.4.1)

* Wed Oct  02 2019 Pierguido Lambri <plambri@redhat.com>
- Updated build (3.4.0)

* Fri Apr  05 2019 Pierguido Lambri <plambri@redhat.com>
- Updated build (3.3.1)

* Sun Sep  23 2018 Pierguido Lambri <plambri@redhat.com>
- Updated Git build (3.2.1)

* Sat Apr  21 2018 Pierguido Lambri <plambri@redhat.com>
- Updated Git build (3.1.0)

* Fri Mar  30 2018 Pierguido Lambri <plambri@redhat.com>
- Git build (3.1.0)

* Fri Oct  6 2017 Pierguido Lambri <plambri@redhat.com>
- First build from git repository (3.0.5)
